> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes.md).

# Modify Cluster Attributes

Once the MongoDB cluster is up and running, you can customize several attributes.

{% hint style="info" %}
**Note:** The user management for <code class="expression">space.vars.ionos\_cloud</code> MongoDB clusters happens completely via the [API](https://docs.ionos.com/cloud/api-reference/databases/mongodb/users/). Creation or modification of users from within MongoDB itself is not allowed. For more information, see [<mark style="color:blue;">User Management</mark>](/cloud/databases/mongodb/api/v1-api/users-management.md).
{% endhint %}

## Quick Links

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>Rename a MongoDB Cluster</strong></mark></td><td>Learn how to rename your MongoDB cluster.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/rename-a-mongodb-cluster.md">Rename a MongoDB Cluster</a></td></tr><tr><td><mark style="color:blue;"><strong>Upgrade the MongoDB Version</strong></mark></td><td>Learn how to upgrade the MongoDB version.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/upgrade-the-mongodb-version.md">Upgrade the MongoDB Version</a></td></tr><tr><td><mark style="color:blue;"><strong>Set MongoDB Maintenance Windows</strong></mark></td><td>Learn how to set maintenance windows for your MongoDB cluster.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/set-mongodb-maintenance-windows.md">Set MongoDB Maintenance Windows</a></td></tr><tr><td><mark style="color:blue;"><strong>Scale a MongoDB Cluster Vertically</strong></mark></td><td>Learn how to scale your MongoDB cluster vertically by adjusting RAM and CPU.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/scale-a-mongodb-cluster-vertically.md">Scale a MongoDB Cluster Vertically</a></td></tr><tr><td><mark style="color:blue;"><strong>Scale a MongoDB Cluster Horizontally</strong></mark></td><td>Learn how to scale your MongoDB cluster horizontally by adding replicas.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/scale-a-mongodb-cluster-horizontally.md">Scale a MongoDB Cluster Horizontally</a></td></tr><tr><td><mark style="color:blue;"><strong>Increase MongoDB Cluster Shards</strong></mark></td><td>Learn how to increase the number of shards in your MongoDB cluster.</td><td><a href="/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes/increase-mongodb-cluster-shards.md">Increase MongoDB Cluster Shards</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/mongodb/api/v1-api/modify-cluster-attributes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
